-- Customer specific once-script MARX#36974.sql

SET ECHO ON
SPOOL xMARX#36974.lst
SET DEFINE OFF

-- update flexkenmerken: Bedrag G-rekening verplaatsen naar fin_factuur_gbedrag, zoals gevraagd in MARX#36974
UPDATE fin_factuur g
SET g.fin_factuur_gbedrag =
(SELECT TO_NUMBER(f.fin_kenmerkfactuur_waarde)
   FROM fin_kenmerkfactuur f
      , fin_kenmerk k
  WHERE f.fin_kenmerk_key = k.fin_kenmerk_key
    AND f.fin_kenmerkfactuur_verwijder IS NULL
    AND k.fin_kenmerk_upper = 'BEDRAG G-REKENING'
    AND f.fin_factuur_key = g.fin_factuur_key
);

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;

SPOOL OFF